package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Conexion;
import com.rjconsultores.ventaboletos.vo.conexion.ConexionVO;

public interface ConexionDAO extends GenericDAO<Conexion, Integer> {

	/**
	 * Apaga os dados temporários das tabelas de conexion_temp e conexion_ctrl_temp
	 * 
	 * @param usuarioId
	 */
	public void generarConexiones(Integer usuarioId);

	public List<ConexionVO> buscarConexiones(boolean isBuscaAgrupada, Integer origenId, Integer destinoId);

	public List<Conexion> buscarPorConexionCtrl(Long conexcionCtrlId);

	public List<ConexionVO> buscarConexionesValidas();

	public Conexion buscarPorConexionRutaTramoCtrl(Integer conexionRutaTramoId);
}
